!**************************************************************
!* AceGen    7.402 Linux (2 Jan 22)                           *
!*           Co. J. Korelc  2020           24 Oct 23 10:01:54 *
!**************************************************************
! User     : Full professional version
! Notebook : elmt05_pdgf_full_explicit
! Evaluation time                 : 17 s    Mode  : Optimal
! Number of formulae              : 641     Method: Automatic
! Subroutine                      : elmt05_pdgf_full_explicit size: 12008
! Total size of Mathematica  code : 12008 subexpressions
! Total size of Fortran code      : 32441 bytes

!******************* S U B R O U T I N E **********************
      SUBROUTINE elmt05_pdgf_full_explicit(activator,coupling
     &,thetanumerical,dt,Xn,Un,xi,eta,zeta,cPvec,cPprevvec,dPDGF,reta
     &,etaP,lP1,epsilonP,lP2,cTth,kP,cTvec,cTprevvec,kT,cDvec
     &,cDprevvec,kD,rhoSvec,rhoSprevvec,kS,resP,tangPU,tangPP,tangPT
     &,tangPS,tangPD)
      IMPLICIT NONE
      include 'sms.h'
      INTEGER activator,coupling
      DOUBLE PRECISION v(1056),thetanumerical,dt,Xn(8,3),Un
     &(8,3),xi,eta,zeta,cPvec(8),cPprevvec(8),dPDGF,reta,etaP,lP1
     &,epsilonP,lP2,cTth,kP,cTvec(8),cTprevvec(8),kT,cDvec(8)
     &,cDprevvec(8),kD,rhoSvec(8),rhoSprevvec(8),kS,resP(8),tangPU(8
     &,24),tangPP(8,8),tangPT(8,8),tangPS(8,8),tangPD(8,8)
      v(4)=dt
      v(5)=Xn(1,1)
      v(6)=Xn(1,2)
      v(7)=Xn(1,3)
      v(8)=Xn(2,1)
      v(890)=-v(5)+v(8)
      v(9)=Xn(2,2)
      v(886)=-v(6)+v(9)
      v(10)=Xn(2,3)
      v(882)=v(10)-v(7)
      v(11)=Xn(3,1)
      v(877)=-v(11)+v(8)
      v(12)=Xn(3,2)
      v(873)=-v(12)+v(9)
      v(13)=Xn(3,3)
      v(869)=v(10)-v(13)
      v(14)=Xn(4,1)
      v(889)=v(11)-v(14)
      v(878)=-v(14)+v(5)
      v(15)=Xn(4,2)
      v(885)=v(12)-v(15)
      v(874)=-v(15)+v(6)
      v(16)=Xn(4,3)
      v(881)=v(13)-v(16)
      v(870)=-v(16)+v(7)
      v(17)=Xn(5,1)
      v(866)=-v(17)+v(5)
      v(18)=Xn(5,2)
      v(862)=-v(18)+v(6)
      v(19)=Xn(5,3)
      v(858)=-v(19)+v(7)
      v(20)=Xn(6,1)
      v(888)=-v(17)+v(20)
      v(865)=-v(20)+v(8)
      v(21)=Xn(6,2)
      v(884)=-v(18)+v(21)
      v(861)=-v(21)+v(9)
      v(22)=Xn(6,3)
      v(880)=-v(19)+v(22)
      v(857)=v(10)-v(22)
      v(23)=Xn(7,1)
      v(875)=v(20)-v(23)
      v(864)=v(11)-v(23)
      v(24)=Xn(7,2)
      v(871)=v(21)-v(24)
      v(860)=v(12)-v(24)
      v(25)=Xn(7,3)
      v(867)=v(22)-v(25)
      v(856)=v(13)-v(25)
      v(26)=Xn(8,1)
      v(887)=v(23)-v(26)
      v(876)=v(17)-v(26)
      v(863)=v(14)-v(26)
      v(27)=Xn(8,2)
      v(883)=v(24)-v(27)
      v(872)=v(18)-v(27)
      v(859)=v(15)-v(27)
      v(28)=Xn(8,3)
      v(879)=v(25)-v(28)
      v(868)=v(19)-v(28)
      v(855)=v(16)-v(28)
      v(29)=Un(1,1)
      v(30)=Un(1,2)
      v(31)=Un(1,3)
      v(32)=Un(2,1)
      v(33)=Un(2,2)
      v(34)=Un(2,3)
      v(35)=Un(3,1)
      v(36)=Un(3,2)
      v(37)=Un(3,3)
      v(38)=Un(4,1)
      v(39)=Un(4,2)
      v(40)=Un(4,3)
      v(41)=Un(5,1)
      v(42)=Un(5,2)
      v(43)=Un(5,3)
      v(44)=Un(6,1)
      v(45)=Un(6,2)
      v(46)=Un(6,3)
      v(47)=Un(7,1)
      v(48)=Un(7,2)
      v(49)=Un(7,3)
      v(50)=Un(8,1)
      v(51)=Un(8,2)
      v(52)=Un(8,3)
      v(53)=xi
      v(138)=1d0-v(53)
      v(134)=1d0+v(53)
      v(54)=eta
      v(144)=1d0+v(54)
      v(177)=v(144)/8d0
      v(185)=-(v(138)*v(177))
      v(184)=-(v(134)*v(177))
      v(140)=1d0-v(54)
      v(178)=v(140)/8d0
      v(183)=-(v(134)*v(178))
      v(181)=-(v(138)*v(178))
      v(196)=v(185)*v(855)+v(184)*v(856)+v(183)*v(857)+v(181)*v(858)
      v(193)=v(185)*v(859)+v(184)*v(860)+v(183)*v(861)+v(181)*v(862)
      v(190)=v(185)*v(863)+v(184)*v(864)+v(183)*v(865)+v(181)*v(866)
      v(55)=zeta
      v(176)=(1d0+v(55))/8d0
      v(187)=-(v(134)*v(176))
      v(186)=-(v(138)*v(176))
      v(147)=v(144)*v(176)
      v(142)=v(140)*v(176)
      v(179)=(1d0-v(55))/8d0
      v(182)=-(v(134)*v(179))
      v(180)=-(v(138)*v(179))
      v(195)=v(187)*v(867)+v(186)*v(868)+v(182)*v(869)+v(180)*v(870)
      v(192)=v(187)*v(871)+v(186)*v(872)+v(182)*v(873)+v(180)*v(874)
      v(214)=-(v(193)*v(195))+v(192)*v(196)
      v(189)=v(187)*v(875)+v(186)*v(876)+v(182)*v(877)+v(180)*v(878)
      v(450)=-(v(190)*v(192))+v(189)*v(193)
      v(434)=v(190)*v(195)-v(189)*v(196)
      v(137)=v(144)*v(179)
      v(132)=v(140)*v(179)
      v(194)=v(147)*v(879)+v(142)*v(880)+v(137)*v(881)+v(132)*v(882)
      v(191)=v(147)*v(883)+v(142)*v(884)+v(137)*v(885)+v(132)*v(886)
      v(222)=-(v(192)*v(194))+v(191)*v(195)
      v(218)=-(v(193)*v(194))+v(191)*v(196)
      v(188)=v(147)*v(887)+v(142)*v(888)+v(137)*v(889)+v(132)*v(890)
      v(514)=-(v(189)*v(191))+v(188)*v(192)
      v(504)=v(189)*v(194)-v(188)*v(195)
      v(485)=v(190)*v(191)-v(188)*v(193)
      v(475)=-(v(190)*v(194))+v(188)*v(196)
      v(64)=cPprevvec(1)
      v(65)=cPprevvec(2)
      v(66)=cPprevvec(3)
      v(67)=cPprevvec(4)
      v(68)=cPprevvec(5)
      v(69)=cPprevvec(6)
      v(70)=cPprevvec(7)
      v(71)=cPprevvec(8)
      v(944)=dPDGF*v(4)
      v(73)=reta
      v(131)=v(132)*v(138)
      v(133)=v(132)*v(134)
      v(136)=v(134)*v(137)
      v(139)=v(137)*v(138)
      v(141)=v(138)*v(142)
      v(143)=v(134)*v(142)
      v(146)=v(134)*v(147)
      v(148)=v(138)*v(147)
      v(197)=v(188)*v(214)-v(189)*v(218)+v(190)*v(222)
      v(942)=v(146)*v(197)
      v(941)=v(141)*v(197)
      v(940)=v(136)*v(197)
      v(938)=v(133)*v(197)
      v(937)=v(131)*v(197)
      v(416)=1d0/v(197)**2
      v(215)=-(v(214)/v(197))
      v(376)=v(179)*v(215)
      v(364)=v(176)*v(215)
      v(340)=v(178)*v(215)
      v(328)=-(v(177)*v(215))
      v(280)=-(v(147)*v(215))
      v(271)=v(142)*v(215)
      v(262)=-(v(137)*v(215))
      v(253)=v(132)*v(215)
      v(216)=-(v(434)/v(197))
      v(379)=v(179)*v(216)
      v(366)=v(176)*v(216)
      v(343)=v(178)*v(216)
      v(330)=-(v(177)*v(216))
      v(282)=-(v(147)*v(216))
      v(273)=v(142)*v(216)
      v(264)=-(v(137)*v(216))
      v(255)=v(132)*v(216)
      v(217)=-(v(450)/v(197))
      v(382)=v(179)*v(217)
      v(368)=v(176)*v(217)
      v(346)=v(178)*v(217)
      v(332)=-(v(177)*v(217))
      v(284)=-(v(147)*v(217))
      v(275)=v(142)*v(217)
      v(266)=-(v(137)*v(217))
      v(257)=v(132)*v(217)
      v(219)=-(v(218)/v(197))
      v(241)=v(179)*v(219)
      v(229)=v(176)*v(219)
      v(220)=v(475)/v(197)
      v(244)=v(179)*v(220)
      v(231)=v(176)*v(220)
      v(221)=v(485)/v(197)
      v(247)=v(179)*v(221)
      v(233)=v(176)*v(221)
      v(223)=v(222)/v(197)
      v(242)=v(178)*v(223)
      v(235)=v(177)*v(223)
      v(224)=v(504)/v(197)
      v(245)=v(178)*v(224)
      v(237)=v(177)*v(224)
      v(225)=v(514)/v(197)
      v(248)=v(178)*v(225)
      v(239)=v(177)*v(225)
      v(226)=v(229)+v(235)
      v(645)=-(v(217)*v(226))
      v(641)=-(v(215)*v(226))
      v(227)=v(231)+v(237)
      v(651)=-(v(217)*v(227))
      v(649)=-(v(216)*v(227))
      v(647)=-(v(215)*v(227))
      v(228)=v(233)+v(239)
      v(657)=-(v(217)*v(228))
      v(230)=-v(229)+v(242)
      v(618)=v(217)*v(230)
      v(614)=v(215)*v(230)
      v(232)=-v(231)+v(245)
      v(624)=v(217)*v(232)
      v(622)=v(216)*v(232)
      v(620)=v(215)*v(232)
      v(234)=-v(233)+v(248)
      v(630)=v(217)*v(234)
      v(236)=-v(235)+v(241)
      v(591)=-(v(217)*v(236))
      v(587)=-(v(215)*v(236))
      v(238)=-v(237)+v(244)
      v(597)=-(v(217)*v(238))
      v(595)=-(v(216)*v(238))
      v(593)=-(v(215)*v(238))
      v(240)=-v(239)+v(247)
      v(603)=-(v(217)*v(240))
      v(243)=-v(241)-v(242)
      v(564)=v(217)*v(243)
      v(560)=v(215)*v(243)
      v(246)=-v(244)-v(245)
      v(570)=v(217)*v(246)
      v(568)=v(216)*v(246)
      v(566)=v(215)*v(246)
      v(249)=-v(247)-v(248)
      v(576)=v(217)*v(249)
      v(250)=v(138)*v(243)+v(253)
      v(251)=v(138)*v(246)+v(255)
      v(252)=v(138)*v(249)+v(257)
      v(254)=v(134)*v(243)-v(253)
      v(256)=v(134)*v(246)-v(255)
      v(258)=v(134)*v(249)-v(257)
      v(259)=v(134)*v(236)+v(262)
      v(260)=v(134)*v(238)+v(264)
      v(261)=v(134)*v(240)+v(266)
      v(263)=v(138)*v(236)-v(262)
      v(265)=v(138)*v(238)-v(264)
      v(267)=v(138)*v(240)-v(266)
      v(268)=v(138)*v(230)+v(271)
      v(269)=v(138)*v(232)+v(273)
      v(270)=v(138)*v(234)+v(275)
      v(272)=v(134)*v(230)-v(271)
      v(274)=v(134)*v(232)-v(273)
      v(276)=v(134)*v(234)-v(275)
      v(277)=v(134)*v(226)+v(280)
      v(278)=v(134)*v(227)+v(282)
      v(279)=v(134)*v(228)+v(284)
      v(281)=v(138)*v(226)-v(280)
      v(283)=v(138)*v(227)-v(282)
      v(285)=v(138)*v(228)-v(284)
      v(295)=1d0+v(250)*v(29)+v(254)*v(32)+v(259)*v(35)+v(263)*v(38)
     &+v(268)*v(41)+v(272)*v(44)+v(277)*v(47)+v(281)*v(50)
      v(296)=v(251)*v(29)+v(256)*v(32)+v(260)*v(35)+v(265)*v(38)+v
     &(269)*v(41)+v(274)*v(44)+v(278)*v(47)+v(283)*v(50)
      v(297)=v(252)*v(29)+v(258)*v(32)+v(261)*v(35)+v(267)*v(38)+v
     &(270)*v(41)+v(276)*v(44)+v(279)*v(47)+v(285)*v(50)
      v(298)=v(250)*v(30)+v(254)*v(33)+v(259)*v(36)+v(263)*v(39)+v
     &(268)*v(42)+v(272)*v(45)+v(277)*v(48)+v(281)*v(51)
      v(299)=1d0+v(251)*v(30)+v(256)*v(33)+v(260)*v(36)+v(265)*v(39)
     &+v(269)*v(42)+v(274)*v(45)+v(278)*v(48)+v(283)*v(51)
      v(300)=v(252)*v(30)+v(258)*v(33)+v(261)*v(36)+v(267)*v(39)+v
     &(270)*v(42)+v(276)*v(45)+v(279)*v(48)+v(285)*v(51)
      v(301)=v(250)*v(31)+v(254)*v(34)+v(259)*v(37)+v(263)*v(40)+v
     &(268)*v(43)+v(272)*v(46)+v(277)*v(49)+v(281)*v(52)
      v(302)=v(251)*v(31)+v(256)*v(34)+v(260)*v(37)+v(265)*v(40)+v
     &(269)*v(43)+v(274)*v(46)+v(278)*v(49)+v(283)*v(52)
      v(697)=-(v(299)*v(301))+v(298)*v(302)
      v(303)=1d0+v(252)*v(31)+v(258)*v(34)+v(261)*v(37)+v(267)*v(40)
     &+v(270)*v(43)+v(276)*v(46)+v(279)*v(49)+v(285)*v(52)
      v(696)=-(v(300)*v(301))+v(298)*v(303)
      v(695)=-(v(300)*v(302))+v(299)*v(303)
      v(304)=v(295)*v(695)-v(296)*v(696)+v(297)*v(697)
      v(305)=(v(295)*v(295))+(v(298)*v(298))+(v(301)*v(301))
      v(306)=v(295)*v(296)+v(298)*v(299)+v(301)*v(302)
      v(319)=(v(306)*v(306))
      v(307)=v(295)*v(297)+v(298)*v(300)+v(301)*v(303)
      v(316)=(v(307)*v(307))
      v(308)=(v(296)*v(296))+(v(299)*v(299))+(v(302)*v(302))
      v(309)=v(296)*v(297)+v(299)*v(300)+v(302)*v(303)
      v(854)=v(307)*v(309)
      v(310)=(v(297)*v(297))+(v(300)*v(300))+(v(303)*v(303))
      v(853)=-(v(309)*v(309))+v(308)*v(310)
      v(311)=1d0/(-(v(308)*v(316))-v(310)*v(319)+v(305)*v(853)+2d0*v
     &(306)*v(854))
      v(313)=v(311)*v(853)
      v(314)=v(311)*(-(v(306)*v(310))+v(854))
      v(315)=(-(v(307)*v(308))+v(306)*v(309))*v(311)
      v(317)=v(311)*(v(305)*v(310)-v(316))
      v(318)=(v(306)*v(307)-v(305)*v(309))*v(311)
      v(320)=v(311)*(v(305)*v(308)-v(319))
      v(322)=v(219)/8d0
      v(893)=v(223)*v(322)
      v(891)=v(224)*v(322)
      v(341)=-(v(138)*v(322))
      v(334)=-(v(134)*v(322))
      v(323)=v(220)/8d0
      v(896)=v(224)*v(323)
      v(344)=-(v(138)*v(323))
      v(336)=-(v(134)*v(323))
      v(324)=v(221)/8d0
      v(347)=-(v(138)*v(324))
      v(338)=-(v(134)*v(324))
      v(325)=v(328)+v(341)
      v(326)=v(330)+v(344)
      v(327)=v(332)+v(347)
      v(329)=-v(328)+v(334)
      v(331)=-v(330)+v(336)
      v(333)=-v(332)+v(338)
      v(335)=-v(334)+v(340)
      v(337)=-v(336)+v(343)
      v(339)=-v(338)+v(346)
      v(342)=-v(340)-v(341)
      v(345)=-v(343)-v(344)
      v(348)=-v(346)-v(347)
      v(349)=v(325)*v(855)+v(329)*v(856)+v(335)*v(857)+v(342)*v(858)
      v(350)=v(326)*v(855)+v(331)*v(856)+v(337)*v(857)+v(345)*v(858)
      v(351)=v(327)*v(855)+v(333)*v(856)+v(339)*v(857)+v(348)*v(858)
      v(352)=v(325)*v(859)+v(329)*v(860)+v(335)*v(861)+v(342)*v(862)
      v(353)=v(326)*v(859)+v(331)*v(860)+v(337)*v(861)+v(345)*v(862)
      v(354)=v(327)*v(859)+v(333)*v(860)+v(339)*v(861)+v(348)*v(862)
      v(355)=v(325)*v(863)+v(329)*v(864)+v(335)*v(865)+v(342)*v(866)
      v(356)=v(326)*v(863)+v(331)*v(864)+v(337)*v(865)+v(345)*v(866)
      v(357)=v(327)*v(863)+v(333)*v(864)+v(339)*v(865)+v(348)*v(866)
      v(358)=v(223)/8d0
      v(895)=v(220)*v(358)
      v(894)=v(221)*v(358)
      v(377)=-(v(138)*v(358))
      v(370)=-(v(134)*v(358))
      v(359)=v(224)/8d0
      v(900)=v(221)*v(359)
      v(380)=-(v(138)*v(359))
      v(372)=-(v(134)*v(359))
      v(360)=v(225)/8d0
      v(913)=v(219)*v(360)
      v(910)=v(220)*v(360)
      v(908)=v(221)*v(360)
      v(383)=-(v(138)*v(360))
      v(374)=-(v(134)*v(360))
      v(361)=v(364)+v(370)
      v(362)=v(366)+v(372)
      v(363)=v(368)+v(374)
      v(365)=-v(364)+v(377)
      v(367)=-v(366)+v(380)
      v(369)=-v(368)+v(383)
      v(371)=-v(370)+v(376)
      v(373)=-v(372)+v(379)
      v(375)=-v(374)+v(382)
      v(378)=-v(376)-v(377)
      v(381)=-v(379)-v(380)
      v(384)=-v(382)-v(383)
      v(385)=v(361)*v(867)+v(365)*v(868)+v(371)*v(869)+v(378)*v(870)
      v(386)=v(362)*v(867)+v(367)*v(868)+v(373)*v(869)+v(381)*v(870)
      v(387)=v(363)*v(867)+v(369)*v(868)+v(375)*v(869)+v(384)*v(870)
      v(388)=v(361)*v(871)+v(365)*v(872)+v(371)*v(873)+v(378)*v(874)
      v(389)=v(362)*v(871)+v(367)*v(872)+v(373)*v(873)+v(381)*v(874)
      v(390)=v(363)*v(871)+v(369)*v(872)+v(375)*v(873)+v(384)*v(874)
      v(391)=v(192)*v(349)-v(195)*v(352)-v(193)*v(385)+v(196)*v(388)
      v(394)=v(361)*v(875)+v(365)*v(876)+v(371)*v(877)+v(378)*v(878)
      v(395)=v(362)*v(875)+v(367)*v(876)+v(373)*v(877)+v(381)*v(878)
      v(396)=v(363)*v(875)+v(369)*v(876)+v(375)*v(877)+v(384)*v(878)
      v(397)=v(226)*v(879)+v(230)*v(880)+v(236)*v(881)+v(243)*v(882)
      v(398)=v(227)*v(879)+v(232)*v(880)+v(238)*v(881)+v(246)*v(882)
      v(399)=v(228)*v(879)+v(234)*v(880)+v(240)*v(881)+v(249)*v(882)
      v(400)=v(226)*v(883)+v(230)*v(884)+v(236)*v(885)+v(243)*v(886)
      v(401)=v(227)*v(883)+v(232)*v(884)+v(238)*v(885)+v(246)*v(886)
      v(402)=v(228)*v(883)+v(234)*v(884)+v(240)*v(885)+v(249)*v(886)
      v(403)=v(191)*v(385)-v(194)*v(388)-v(192)*v(397)+v(195)*v(400)
      v(405)=v(191)*v(387)-v(194)*v(390)-v(192)*v(399)+v(195)*v(402)
      v(406)=v(191)*v(349)-v(194)*v(352)-v(193)*v(397)+v(196)*v(400)
      v(409)=v(226)*v(887)+v(230)*v(888)+v(236)*v(889)+v(243)*v(890)
      v(410)=v(227)*v(887)+v(232)*v(888)+v(238)*v(889)+v(246)*v(890)
      v(411)=v(228)*v(887)+v(234)*v(888)+v(240)*v(889)+v(249)*v(890)
      v(892)=-((v(222)*v(355)+v(188)*v(391)-v(218)*v(394)+v(190)*v
     &(403)-v(189)*v(406)+v(214)*v(409))*v(416))
      v(505)=(-(v(188)*v(385))+v(194)*v(394)+v(189)*v(397)-v(195)*v
     &(409))/v(197)+v(504)*v(892)
      v(898)=v(178)*v(505)
      v(897)=v(177)*v(505)
      v(511)=v(891)+v(897)
      v(508)=-v(891)+v(898)
      v(495)=v(403)/v(197)+v(222)*v(892)
      v(501)=v(177)*v(495)+v(893)
      v(498)=v(178)*v(495)-v(893)
      v(486)=(-(v(188)*v(352))+v(191)*v(355)+v(190)*v(400)-v(193)*v
     &(409))/v(197)+v(485)*v(892)
      v(914)=v(179)*v(486)
      v(912)=v(176)*v(486)
      v(476)=(v(188)*v(349)-v(194)*v(355)-v(190)*v(397)+v(196)*v(409)
     &)/v(197)+v(475)*v(892)
      v(902)=v(179)*v(476)
      v(901)=v(176)*v(476)
      v(482)=v(895)+v(901)
      v(536)=-v(482)+v(508)
      v(527)=v(482)+v(511)
      v(479)=-v(895)+v(902)
      v(554)=-v(479)-v(508)
      v(545)=v(479)-v(511)
      v(466)=-(v(406)/v(197))-v(218)*v(892)
      v(472)=v(176)*v(466)+v(893)
      v(533)=-v(472)+v(498)
      v(524)=v(472)+v(501)
      v(469)=v(179)*v(466)-v(893)
      v(551)=-v(469)-v(498)
      v(542)=v(469)-v(501)
      v(451)=(-(v(189)*v(352))+v(192)*v(355)+v(190)*v(388)-v(193)*v
     &(394))/v(197)-v(450)*v(892)
      v(922)=-(v(147)*v(451))
      v(921)=v(142)*v(451)
      v(920)=-(v(137)*v(451))
      v(919)=v(132)*v(451)
      v(435)=(v(189)*v(349)-v(195)*v(355)-v(190)*v(385)+v(196)*v(394)
     &)/v(197)-v(434)*v(892)
      v(906)=-(v(147)*v(435))
      v(905)=v(142)*v(435)
      v(904)=-(v(137)*v(435))
      v(903)=v(132)*v(435)
      v(447)=v(216)*v(243)+v(903)
      v(581)=-v(447)+v(134)*v(554)-v(566)
      v(567)=v(447)+v(138)*v(554)+v(566)
      v(444)=-(v(216)*v(236))+v(904)
      v(608)=-v(444)+v(138)*v(545)-v(593)
      v(594)=v(444)+v(134)*v(545)+v(593)
      v(441)=v(216)*v(230)+v(905)
      v(635)=-v(441)+v(134)*v(536)-v(620)
      v(621)=v(441)+v(138)*v(536)+v(620)
      v(438)=-(v(216)*v(226))+v(906)
      v(671)=-v(438)+v(138)*v(527)-v(647)
      v(648)=v(438)+v(134)*v(527)+v(647)
      v(929)=v(29)*v(567)+v(32)*v(581)+v(35)*v(594)+v(38)*v(608)+v(41
     &)*v(621)+v(44)*v(635)+v(47)*v(648)+v(50)*v(671)
      v(677)=v(30)*v(567)+v(33)*v(581)+v(36)*v(594)+v(39)*v(608)+v(42
     &)*v(621)+v(45)*v(635)+v(48)*v(648)+v(51)*v(671)
      v(928)=v(303)*v(677)
      v(674)=v(31)*v(567)+v(34)*v(581)+v(37)*v(594)+v(40)*v(608)+v(43
     &)*v(621)+v(46)*v(635)+v(49)*v(648)+v(52)*v(671)
      v(927)=-(v(300)*v(674))
      v(419)=-(v(391)/v(197))-v(214)*v(892)
      v(431)=v(132)*v(419)+v(560)
      v(578)=-v(431)+v(134)*v(551)-v(560)
      v(561)=v(431)+v(138)*v(551)+v(560)
      v(428)=-(v(137)*v(419))+v(587)
      v(605)=-v(428)+v(138)*v(542)-v(587)
      v(588)=v(428)+v(134)*v(542)+v(587)
      v(425)=v(142)*v(419)+v(614)
      v(632)=-v(425)+v(134)*v(533)-v(614)
      v(615)=v(425)+v(138)*v(533)+v(614)
      v(422)=-(v(147)*v(419))+v(641)
      v(659)=-v(422)+v(138)*v(524)-v(641)
      v(642)=v(422)+v(134)*v(524)+v(641)
      v(665)=v(30)*v(561)+v(33)*v(578)+v(36)*v(588)+v(39)*v(605)+v(42
     &)*v(615)+v(45)*v(632)+v(48)*v(642)+v(51)*v(659)
      v(662)=v(31)*v(561)+v(34)*v(578)+v(37)*v(588)+v(40)*v(605)+v(43
     &)*v(615)+v(46)*v(632)+v(49)*v(642)+v(52)*v(659)
      v(899)=-((v(222)*v(356)+v(188)*(v(192)*v(350)-v(195)*v(353)-v
     &(193)*v(386)+v(196)*v(389))-v(218)*v(395)+v(190)*(v(191)*v(386)
     &-v(194)*v(389)-v(192)*v(398)+v(195)*v(401))-v(189)*(v(191)*v
     &(350)-v(194)*v(353)-v(193)*v(398)+v(196)*v(401))+v(214)*v(410)
     &)*v(416))
      v(506)=(-(v(188)*v(386))+v(194)*v(395)+v(189)*v(398)-v(195)*v
     &(410))/v(197)+v(504)*v(899)
      v(512)=v(177)*v(506)+v(896)
      v(509)=v(178)*v(506)-v(896)
      v(487)=(-(v(188)*v(353))+v(191)*v(356)+v(190)*v(401)-v(193)*v
     &(410))/v(197)+v(485)*v(899)
      v(911)=v(179)*v(487)
      v(909)=v(176)*v(487)
      v(477)=(v(188)*v(350)-v(194)*v(356)-v(190)*v(398)+v(196)*v(410)
     &)/v(197)+v(475)*v(899)
      v(483)=v(176)*v(477)+v(896)
      v(537)=-v(483)+v(509)
      v(528)=v(483)+v(512)
      v(480)=v(179)*v(477)-v(896)
      v(555)=-v(480)-v(509)
      v(546)=v(480)-v(512)
      v(452)=(-(v(189)*v(353))+v(192)*v(356)+v(190)*v(389)-v(193)*v
     &(395))/v(197)-v(450)*v(899)
      v(918)=-(v(147)*v(452))
      v(917)=v(142)*v(452)
      v(916)=-(v(137)*v(452))
      v(915)=v(132)*v(452)
      v(436)=(v(189)*v(350)-v(195)*v(356)-v(190)*v(386)+v(196)*v(395)
     &)/v(197)-v(434)*v(899)
      v(448)=v(132)*v(436)+v(568)
      v(582)=-v(448)+v(134)*v(555)-v(568)
      v(569)=v(448)+v(138)*v(555)+v(568)
      v(445)=-(v(137)*v(436))+v(595)
      v(609)=-v(445)+v(138)*v(546)-v(595)
      v(596)=v(445)+v(134)*v(546)+v(595)
      v(442)=v(142)*v(436)+v(622)
      v(636)=-v(442)+v(134)*v(537)-v(622)
      v(623)=v(442)+v(138)*v(537)+v(622)
      v(439)=-(v(147)*v(436))+v(649)
      v(672)=-v(439)+v(138)*v(528)-v(649)
      v(650)=v(439)+v(134)*v(528)+v(649)
      v(678)=v(30)*v(569)+v(33)*v(582)+v(36)*v(596)+v(39)*v(609)+v(42
     &)*v(623)+v(45)*v(636)+v(48)*v(650)+v(51)*v(672)
      v(675)=v(31)*v(569)+v(34)*v(582)+v(37)*v(596)+v(40)*v(609)+v(43
     &)*v(623)+v(46)*v(636)+v(49)*v(650)+v(52)*v(672)
      v(907)=-((v(222)*v(357)+v(188)*(v(192)*v(351)-v(195)*v(354)-v
     &(193)*v(387)+v(196)*v(390))-v(218)*v(396)-v(189)*(v(191)*v(351)
     &-v(194)*v(354)-v(193)*v(399)+v(196)*v(402))+v(190)*v(405)+v(214
     &)*v(411))*v(416))
      v(507)=(-(v(188)*v(387))+v(194)*v(396)+v(189)*v(399)-v(195)*v
     &(411))/v(197)+v(504)*v(907)
      v(926)=v(178)*v(507)
      v(925)=v(177)*v(507)
      v(513)=v(900)+v(925)
      v(510)=-v(900)+v(926)
      v(497)=v(405)/v(197)+v(222)*v(907)
      v(924)=v(178)*v(497)
      v(923)=v(177)*v(497)
      v(503)=v(894)+v(923)
      v(500)=-v(894)+v(924)
      v(488)=(-(v(188)*v(354))+v(191)*v(357)+v(190)*v(402)-v(193)*v
     &(411))/v(197)+v(485)*v(907)
      v(494)=v(176)*v(488)+v(908)
      v(491)=v(179)*v(488)-v(908)
      v(484)=v(909)+v(910)
      v(538)=-v(484)+v(510)
      v(529)=v(484)+v(513)
      v(481)=-v(910)+v(911)
      v(556)=-v(481)-v(510)
      v(547)=v(481)-v(513)
      v(474)=v(912)+v(913)
      v(535)=-v(474)+v(500)
      v(526)=v(474)+v(503)
      v(471)=-v(913)+v(914)
      v(553)=-v(471)-v(500)
      v(544)=v(471)-v(503)
      v(453)=(-(v(189)*v(354))+v(192)*v(357)+v(190)*v(390)-v(193)*v
     &(396))/v(197)-v(450)*v(907)
      v(465)=v(132)*v(453)+v(576)
      v(462)=-(v(137)*v(453))+v(603)
      v(459)=v(142)*v(453)+v(630)
      v(456)=-(v(147)*v(453))+v(657)
      v(449)=v(216)*v(249)+v(915)
      v(583)=-v(449)+v(134)*v(556)-v(570)
      v(571)=v(449)+v(138)*v(556)+v(570)
      v(446)=-(v(216)*v(240))+v(916)
      v(610)=-v(446)+v(138)*v(547)-v(597)
      v(598)=v(446)+v(134)*v(547)+v(597)
      v(443)=v(216)*v(234)+v(917)
      v(637)=-v(443)+v(134)*v(538)-v(624)
      v(625)=v(443)+v(138)*v(538)+v(624)
      v(440)=-(v(216)*v(228))+v(918)
      v(673)=-v(440)+v(138)*v(529)-v(651)
      v(652)=v(440)+v(134)*v(529)+v(651)
      v(679)=v(30)*v(571)+v(33)*v(583)+v(36)*v(598)+v(39)*v(610)+v(42
     &)*v(625)+v(45)*v(637)+v(48)*v(652)+v(51)*v(673)
      v(676)=v(31)*v(571)+v(34)*v(583)+v(37)*v(598)+v(40)*v(610)+v(43
     &)*v(625)+v(46)*v(637)+v(49)*v(652)+v(52)*v(673)
      v(433)=v(215)*v(249)+v(919)
      v(580)=-v(433)+v(134)*v(553)-v(564)
      v(565)=v(433)+v(138)*v(553)+v(564)
      v(430)=-(v(215)*v(240))+v(920)
      v(607)=-v(430)+v(138)*v(544)-v(591)
      v(592)=v(430)+v(134)*v(544)+v(591)
      v(427)=v(215)*v(234)+v(921)
      v(634)=-v(427)+v(134)*v(535)-v(618)
      v(619)=v(427)+v(138)*v(535)+v(618)
      v(424)=-(v(215)*v(228))+v(922)
      v(661)=-v(424)+v(138)*v(526)-v(645)
      v(646)=v(424)+v(134)*v(526)+v(645)
      v(667)=v(30)*v(565)+v(33)*v(580)+v(36)*v(592)+v(39)*v(607)+v(42
     &)*v(619)+v(45)*v(634)+v(48)*v(646)+v(51)*v(661)
      v(664)=v(31)*v(565)+v(34)*v(580)+v(37)*v(592)+v(40)*v(607)+v(43
     &)*v(619)+v(46)*v(634)+v(49)*v(646)+v(52)*v(661)
      v(934)=v(29)*v(565)+v(32)*v(580)+v(35)*v(592)+v(38)*v(607)+v(41
     &)*v(619)+v(44)*v(634)+v(47)*v(646)+v(50)*v(661)
      v(931)=-(v(302)*v(667))
      v(930)=v(299)*v(664)
      v(698)=v(296)*(v(300)*v(662)-v(298)*v(664)-v(303)*v(665)+v(301
     &)*v(667))+v(297)*(-(v(299)*v(662))+v(302)*v(665)+v(298)*v(674)
     &-v(301)*v(677))+(v(29)*v(561)+v(32)*v(578)+v(35)*v(588)+v(38)*v
     &(605)+v(41)*v(615)+v(44)*v(632)+v(47)*v(642)+v(50)*v(659))*v
     &(695)-v(696)*v(929)+v(295)*(v(927)+v(928)+v(930)+v(931))+v(697
     &)*v(934)
      v(935)=v(29)*v(571)+v(32)*v(583)+v(35)*v(598)+v(38)*v(610)+v(41
     &)*v(625)+v(44)*v(637)+v(47)*v(652)+v(50)*v(673)
      v(933)=v(301)*v(679)
      v(932)=-(v(298)*v(676))
      v(699)=v(297)*(-(v(299)*v(674))+v(298)*v(675)+v(302)*v(677)-v
     &(301)*v(678))+v(295)*(-(v(300)*v(675))+v(299)*v(676)+v(303)*v
     &(678)-v(302)*v(679))-(v(29)*v(569)+v(32)*v(582)+v(35)*v(596)+v
     &(38)*v(609)+v(41)*v(623)+v(44)*v(636)+v(47)*v(650)+v(50)*v(672)
     &)*v(696)+v(695)*v(929)+v(296)*(-v(927)-v(928)+v(932)+v(933))+v
     &(697)*v(935)
      v(517)=(v(188)*v(390)-v(191)*v(396)-v(189)*v(402)+v(192)*v(411)
     &)/v(197)+v(514)*v(907)
      v(523)=v(177)*v(517)+v(908)
      v(550)=v(491)-v(523)
      v(613)=-v(462)+v(138)*v(550)-v(603)
      v(604)=v(462)+v(134)*v(550)+v(603)
      v(532)=v(494)+v(523)
      v(685)=-v(456)+v(138)*v(532)-v(657)
      v(658)=v(456)+v(134)*v(532)+v(657)
      v(520)=v(178)*v(517)-v(908)
      v(559)=-v(491)-v(520)
      v(586)=-v(465)+v(134)*v(559)-v(576)
      v(577)=v(465)+v(138)*v(559)+v(576)
      v(541)=-v(494)+v(520)
      v(640)=-v(459)+v(134)*v(541)-v(630)
      v(631)=v(459)+v(138)*v(541)+v(630)
      v(691)=v(30)*v(577)+v(33)*v(586)+v(36)*v(604)+v(39)*v(613)+v(42
     &)*v(631)+v(45)*v(640)+v(48)*v(658)+v(51)*v(685)
      v(688)=v(31)*v(577)+v(34)*v(586)+v(37)*v(604)+v(40)*v(613)+v(43
     &)*v(631)+v(46)*v(640)+v(49)*v(658)+v(52)*v(685)
      v(700)=v(296)*(v(300)*v(664)-v(303)*v(667)-v(298)*v(688)+v(301
     &)*v(691))+v(295)*(-(v(300)*v(676))+v(303)*v(679)+v(299)*v(688)
     &-v(302)*v(691))+(v(29)*v(577)+v(32)*v(586)+v(35)*v(604)+v(38)*v
     &(613)+v(41)*v(631)+v(44)*v(640)+v(47)*v(658)+v(50)*v(685))*v
     &(697)+v(297)*(-v(930)-v(931)-v(932)-v(933))+v(695)*v(934)-v(696
     &)*v(935)
      v(706)=v(131)*v(64)+v(133)*v(65)+v(136)*v(66)+v(139)*v(67)+v
     &(141)*v(68)+v(143)*v(69)+v(146)*v(70)+v(148)*v(71)
      v(945)=-(v(706)/v(304))
      v(719)=cPvec(1)*v(131)+cPvec(2)*v(133)+cPvec(3)*v(136)+cPvec(4
     &)*v(139)+cPvec(5)*v(141)+cPvec(6)*v(143)+cPvec(7)*v(146)+cPvec
     &(8)*v(148)-v(706)
      v(936)=kT*(cTprevvec(1)*v(131)+cTprevvec(2)*v(133)+cTprevvec(3
     &)*v(136)+cTprevvec(4)*v(139)+cTprevvec(5)*v(141)+cTprevvec(6)*v
     &(143)+cTprevvec(7)*v(146)+cTprevvec(8)*v(148))
      v(726)=-((etaP*v(936))/kP)
      v(725)=(kS*(rhoSprevvec(1)*v(131)+rhoSprevvec(2)*v(133)
     &+rhoSprevvec(3)*v(136)+rhoSprevvec(4)*v(139)+rhoSprevvec(5)*v
     &(141)+rhoSprevvec(6)*v(143)+rhoSprevvec(7)*v(146)+rhoSprevvec(8
     &)*v(148))*v(4))/v(304)
      v(939)=v(725)*v(726)
      v(943)=1d0+v(73)*((-1d0)+dexp(-((kD*lP1*(cDprevvec(1)*v(131)
     &+cDprevvec(2)*v(133)+cDprevvec(3)*v(136)+cDprevvec(4)*v(139)
     &+cDprevvec(5)*v(141)+cDprevvec(6)*v(143)+cDprevvec(7)*v(146)
     &+cDprevvec(8)*v(148)))/v(304))))
      v(724)=(epsilonP*v(706))/(1d0+dexp(lP2*(-cTth+v(936)/v(304))))
      v(946)=v(719)+v(724)*v(725)
      v(713)=v(250)*v(313)+v(251)*v(314)+v(252)*v(315)
      v(714)=v(250)*v(314)+v(251)*v(317)+v(252)*v(318)
      v(715)=v(250)*v(315)+v(251)*v(318)+v(252)*v(320)
      v(775)=v(281)*v(713)+v(283)*v(714)+v(285)*v(715)
      v(764)=v(277)*v(713)+v(278)*v(714)+v(279)*v(715)
      v(754)=v(272)*v(713)+v(274)*v(714)+v(276)*v(715)
      v(745)=v(268)*v(713)+v(269)*v(714)+v(270)*v(715)
      v(737)=v(263)*v(713)+v(265)*v(714)+v(267)*v(715)
      v(730)=v(259)*v(713)+v(260)*v(714)+v(261)*v(715)
      v(720)=v(254)*v(713)+v(256)*v(714)+v(258)*v(715)
      v(716)=v(131)*v(725)
      v(788)=v(133)*v(937)
      v(789)=v(136)*v(937)
      v(790)=v(139)*v(937)
      v(791)=v(141)*v(937)
      v(792)=v(143)*v(937)
      v(793)=v(146)*v(937)
      v(794)=v(148)*v(937)
      v(721)=v(254)*v(313)+v(256)*v(314)+v(258)*v(315)
      v(722)=v(254)*v(314)+v(256)*v(317)+v(258)*v(318)
      v(723)=v(254)*v(315)+v(256)*v(318)+v(258)*v(320)
      v(776)=v(281)*v(721)+v(283)*v(722)+v(285)*v(723)
      v(765)=v(277)*v(721)+v(278)*v(722)+v(279)*v(723)
      v(755)=v(272)*v(721)+v(274)*v(722)+v(276)*v(723)
      v(746)=v(268)*v(721)+v(269)*v(722)+v(270)*v(723)
      v(738)=v(263)*v(721)+v(265)*v(722)+v(267)*v(723)
      v(731)=v(259)*v(721)+v(260)*v(722)+v(261)*v(723)
      v(797)=v(136)*v(938)
      v(800)=v(143)*v(938)
      v(801)=v(146)*v(938)
      v(732)=v(259)*v(313)+v(260)*v(314)+v(261)*v(315)
      v(733)=v(259)*v(314)+v(260)*v(317)+v(261)*v(318)
      v(734)=v(259)*v(315)+v(260)*v(318)+v(261)*v(320)
      v(777)=v(281)*v(732)+v(283)*v(733)+v(285)*v(734)
      v(766)=v(277)*v(732)+v(278)*v(733)+v(279)*v(734)
      v(756)=v(272)*v(732)+v(274)*v(733)+v(276)*v(734)
      v(747)=v(268)*v(732)+v(269)*v(733)+v(270)*v(734)
      v(739)=v(263)*v(732)+v(265)*v(733)+v(267)*v(734)
      v(806)=v(139)*v(940)
      v(809)=v(146)*v(940)
      v(810)=v(148)*v(940)
      v(740)=v(263)*v(313)+v(265)*v(314)+v(267)*v(315)
      v(741)=v(263)*v(314)+v(265)*v(317)+v(267)*v(318)
      v(742)=v(263)*v(315)+v(265)*v(318)+v(267)*v(320)
      v(778)=v(281)*v(740)+v(283)*v(741)+v(285)*v(742)
      v(767)=v(277)*v(740)+v(278)*v(741)+v(279)*v(742)
      v(757)=v(272)*v(740)+v(274)*v(741)+v(276)*v(742)
      v(748)=v(268)*v(740)+v(269)*v(741)+v(270)*v(742)
      v(818)=v(139)*v(148)*v(197)
      v(749)=v(268)*v(313)+v(269)*v(314)+v(270)*v(315)
      v(750)=v(268)*v(314)+v(269)*v(317)+v(270)*v(318)
      v(751)=v(268)*v(315)+v(269)*v(318)+v(270)*v(320)
      v(779)=v(281)*v(749)+v(283)*v(750)+v(285)*v(751)
      v(768)=v(277)*v(749)+v(278)*v(750)+v(279)*v(751)
      v(758)=v(272)*v(749)+v(274)*v(750)+v(276)*v(751)
      v(824)=v(143)*v(941)
      v(825)=v(146)*v(941)
      v(826)=v(148)*v(941)
      v(759)=v(272)*v(313)+v(274)*v(314)+v(276)*v(315)
      v(760)=v(272)*v(314)+v(274)*v(317)+v(276)*v(318)
      v(761)=v(272)*v(315)+v(274)*v(318)+v(276)*v(320)
      v(780)=v(281)*v(759)+v(283)*v(760)+v(285)*v(761)
      v(769)=v(277)*v(759)+v(278)*v(760)+v(279)*v(761)
      v(833)=v(143)*v(942)
      v(770)=v(277)*v(313)+v(278)*v(314)+v(279)*v(315)
      v(771)=v(277)*v(314)+v(278)*v(317)+v(279)*v(318)
      v(772)=v(277)*v(315)+v(278)*v(318)+v(279)*v(320)
      v(781)=v(281)*v(770)+v(283)*v(771)+v(285)*v(772)
      v(842)=v(148)*v(942)
      v(782)=v(281)*v(313)+v(283)*v(314)+v(285)*v(315)
      v(783)=v(281)*v(314)+v(283)*v(317)+v(285)*v(318)
      v(784)=v(281)*v(315)+v(283)*v(318)+v(285)*v(320)
      resP(1)=v(197)*(v(131)*v(719)+v(716)*(v(724)+v(726)*v(943))+v
     &(944)*(v(64)*(v(250)*v(713)+v(251)*v(714)+v(252)*v(715))+v(65
     &)*v(720)+v(66)*v(730)+v(67)*v(737)+v(68)*v(745)+v(69)*v(754)+v
     &(70)*v(764)+v(71)*v(775)+(v(698)*v(713)+v(699)*v(714)+v(700)*v
     &(715))*v(945)))
      resP(2)=v(197)*(v(944)*(v(64)*v(720)+v(65)*(v(254)*v(721)+v(256
     &)*v(722)+v(258)*v(723))+v(66)*v(731)+v(67)*v(738)+v(68)*v(746)
     &+v(69)*v(755)+v(70)*v(765)+v(71)*v(776)-(-(v(698)*v(721))-v(699
     &)*v(722)-v(700)*v(723))*v(945))+v(133)*(v(939)*v(943)+v(946)))
      resP(3)=v(197)*(v(944)*(v(64)*v(730)+v(65)*v(731)+v(66)*(v(259
     &)*v(732)+v(260)*v(733)+v(261)*v(734))+v(67)*v(739)+v(68)*v(747)
     &+v(69)*v(756)+v(70)*v(766)+v(71)*v(777)-(-(v(698)*v(732))-v(699
     &)*v(733)-v(700)*v(734))*v(945))+v(136)*(v(939)*v(943)+v(946)))
      resP(4)=v(197)*(v(944)*(v(64)*v(737)+v(65)*v(738)+v(66)*v(739)
     &+v(67)*(v(263)*v(740)+v(265)*v(741)+v(267)*v(742))+v(68)*v(748)
     &+v(69)*v(757)+v(70)*v(767)+v(71)*v(778)-(-(v(698)*v(740))-v(699
     &)*v(741)-v(700)*v(742))*v(945))+v(139)*(v(939)*v(943)+v(946)))
      resP(5)=v(197)*(v(944)*(v(64)*v(745)+v(65)*v(746)+v(66)*v(747)
     &+v(67)*v(748)+v(68)*(v(268)*v(749)+v(269)*v(750)+v(270)*v(751))
     &+v(69)*v(758)+v(70)*v(768)+v(71)*v(779)-(-(v(698)*v(749))-v(699
     &)*v(750)-v(700)*v(751))*v(945))+v(141)*(v(939)*v(943)+v(946)))
      resP(6)=v(197)*(v(944)*(v(64)*v(754)+v(65)*v(755)+v(66)*v(756)
     &+v(67)*v(757)+v(68)*v(758)+v(69)*(v(272)*v(759)+v(274)*v(760)+v
     &(276)*v(761))+v(70)*v(769)+v(71)*v(780)-(-(v(698)*v(759))-v(699
     &)*v(760)-v(700)*v(761))*v(945))+v(143)*(v(939)*v(943)+v(946)))
      resP(7)=v(197)*(v(944)*(v(64)*v(764)+v(65)*v(765)+v(66)*v(766)
     &+v(67)*v(767)+v(68)*v(768)+v(69)*v(769)+v(70)*(v(277)*v(770)+v
     &(278)*v(771)+v(279)*v(772))+v(71)*v(781)-(-(v(698)*v(770))-v
     &(699)*v(771)-v(700)*v(772))*v(945))+v(146)*(v(939)*v(943)+v(946
     &)))
      resP(8)=v(197)*(v(944)*(v(64)*v(775)+v(65)*v(776)+v(66)*v(777)
     &+v(67)*v(778)+v(68)*v(779)+v(69)*v(780)+v(70)*v(781)+v(71)*(v
     &(281)*v(782)+v(283)*v(783)+v(285)*v(784))+(v(698)*v(782)+v(699
     &)*v(783)+v(700)*v(784))*v(945))+v(148)*(v(939)*v(943)+v(946)))
      tangPP(1,1)=(v(131)*v(131))*v(197)
      tangPP(1,2)=v(788)
      tangPP(1,3)=v(789)
      tangPP(1,4)=v(790)
      tangPP(1,5)=v(791)
      tangPP(1,6)=v(792)
      tangPP(1,7)=v(793)
      tangPP(1,8)=v(794)
      tangPP(2,1)=v(788)
      tangPP(2,2)=(v(133)*v(133))*v(197)
      tangPP(2,3)=v(797)
      tangPP(2,4)=v(789)
      tangPP(2,5)=v(792)
      tangPP(2,6)=v(800)
      tangPP(2,7)=v(801)
      tangPP(2,8)=v(793)
      tangPP(3,1)=v(789)
      tangPP(3,2)=v(797)
      tangPP(3,3)=(v(136)*v(136))*v(197)
      tangPP(3,4)=v(806)
      tangPP(3,5)=v(793)
      tangPP(3,6)=v(801)
      tangPP(3,7)=v(809)
      tangPP(3,8)=v(810)
      tangPP(4,1)=v(790)
      tangPP(4,2)=v(789)
      tangPP(4,3)=v(806)
      tangPP(4,4)=(v(139)*v(139))*v(197)
      tangPP(4,5)=v(794)
      tangPP(4,6)=v(793)
      tangPP(4,7)=v(810)
      tangPP(4,8)=v(818)
      tangPP(5,1)=v(791)
      tangPP(5,2)=v(792)
      tangPP(5,3)=v(793)
      tangPP(5,4)=v(794)
      tangPP(5,5)=(v(141)*v(141))*v(197)
      tangPP(5,6)=v(824)
      tangPP(5,7)=v(825)
      tangPP(5,8)=v(826)
      tangPP(6,1)=v(792)
      tangPP(6,2)=v(800)
      tangPP(6,3)=v(801)
      tangPP(6,4)=v(793)
      tangPP(6,5)=v(824)
      tangPP(6,6)=(v(143)*v(143))*v(197)
      tangPP(6,7)=v(833)
      tangPP(6,8)=v(825)
      tangPP(7,1)=v(793)
      tangPP(7,2)=v(801)
      tangPP(7,3)=v(809)
      tangPP(7,4)=v(810)
      tangPP(7,5)=v(825)
      tangPP(7,6)=v(833)
      tangPP(7,7)=(v(146)*v(146))*v(197)
      tangPP(7,8)=v(842)
      tangPP(8,1)=v(794)
      tangPP(8,2)=v(793)
      tangPP(8,3)=v(810)
      tangPP(8,4)=v(818)
      tangPP(8,5)=v(826)
      tangPP(8,6)=v(825)
      tangPP(8,7)=v(842)
      tangPP(8,8)=(v(148)*v(148))*v(197)
      END
